summaryrefslogtreecommitdiffstats
path: root/net-dialup
diff options
context:
space:
mode:
Diffstat (limited to 'net-dialup')
-rw-r--r--net-dialup/mingetty/Manifest5
-rw-r--r--net-dialup/mingetty/files/mingetty-ds-x509-v2.patch22
-rw-r--r--net-dialup/mingetty/files/mingetty-ds-x509.patch22
-rw-r--r--net-dialup/mingetty/mingetty-1.07.3-r1.ebuild38
-rw-r--r--net-dialup/mingetty/mingetty-1.07.3.ebuild38
5 files changed, 125 insertions, 0 deletions
diff --git a/net-dialup/mingetty/Manifest b/net-dialup/mingetty/Manifest
new file mode 100644
index 0000000..6f41e2f
--- /dev/null
+++ b/net-dialup/mingetty/Manifest
@@ -0,0 +1,5 @@
+AUX mingetty-ds-x509-v2.patch 587 RMD160 316af5f62fd0f582a1f5c94d66dad7567be94226 SHA1 cece71c63c88913ee6f5d4dff80c9366f018f9eb SHA256 5ad3a2409393bd2b7be039830fb9723156b620d3c6bbdfcdc2a4eedac5c93aaf
+AUX mingetty-ds-x509.patch 545 RMD160 8be651b0b8572a5b2dc7ab4a98f5a78401f34084 SHA1 899757f4cb434ed680bcdf80cd2b08c163e4dba8 SHA256 431a652ecc5d1098ade6e917b3a4ee117bacfa5033fbd7fbfe7b0db60284abd2
+DIST mingetty-1.07-3.src.rpm 19307 RMD160 1c36a0606a560e3848cfc96d98121fa36f6e624f SHA1 4b246dff1e1f9b00d4e9ac724b242597ece576b0 SHA256 ea85f079acc79f287108d5089dcd1646d85c50d024bc092244e2e833cf5f7ce3
+EBUILD mingetty-1.07.3-r1.ebuild 947 RMD160 0789fdd7d7121f9a058ef4e306c4d469a4f79041 SHA1 38630283e848a18551e48e51bde169bb4e48a306 SHA256 40c234403c702f2d576db4ce54512f01f155c8da9679e62fdd1554dc49690cba
+EBUILD mingetty-1.07.3.ebuild 944 RMD160 9339a18fd817655ba9e303c30fd618c40ad7370d SHA1 35ad704526b4c7e83f092eaded5db021ec2d2851 SHA256 8fdb0923b3849f0f84e77a0003233275898c0ad8718aeb98249dd71e662cf0d4
diff --git a/net-dialup/mingetty/files/mingetty-ds-x509-v2.patch b/net-dialup/mingetty/files/mingetty-ds-x509-v2.patch
new file mode 100644
index 0000000..86451da
--- /dev/null
+++ b/net-dialup/mingetty/files/mingetty-ds-x509-v2.patch
@@ -0,0 +1,22 @@
+diff -dPNur mingetty-1.07/mingetty.c mingetty-1.07-new/mingetty.c
+--- mingetty-1.07/mingetty.c 2004-01-03 13:15:56.000000000 +0000
++++ mingetty-1.07-new/mingetty.c 2006-01-04 23:44:55.000000000 +0000
+@@ -297,7 +297,8 @@
+ unsigned char c;
+
+ tcflush (0, TCIFLUSH); /* flush pending input */
+- for (*logname = 0; *logname == 0;) {
++ *logname=0;
++// for (*logname = 0; *logname == 0;) {
+ do_prompt (1);
+ for (bp = logname;;) {
+ if (read (0, &c, 1) < 1) {
+@@ -317,7 +318,7 @@
+ else
+ *bp++ = c;
+ }
+- }
++ if (!*logname) strcpy(logname, "x509detect");
+ return logname;
+ }
+
diff --git a/net-dialup/mingetty/files/mingetty-ds-x509.patch b/net-dialup/mingetty/files/mingetty-ds-x509.patch
new file mode 100644
index 0000000..ae27fd6
--- /dev/null
+++ b/net-dialup/mingetty/files/mingetty-ds-x509.patch
@@ -0,0 +1,22 @@
+diff -dPNur mingetty-1.07/mingetty.c mingetty-1.07-new/mingetty.c
+--- mingetty-1.07/mingetty.c 2004-01-03 13:15:56.000000000 +0000
++++ mingetty-1.07-new/mingetty.c 2006-01-04 23:44:55.000000000 +0000
+@@ -297,7 +297,8 @@
+ unsigned char c;
+
+ tcflush (0, TCIFLUSH); /* flush pending input */
+- for (*logname = 0; *logname == 0;) {
++ *logname=0;
++// for (*logname = 0; *logname == 0;) {
+ do_prompt (1);
+ for (bp = logname;;) {
+ if (read (0, &c, 1) < 1) {
+@@ -317,7 +318,7 @@
+ else
+ *bp++ = c;
+ }
+- }
++// }
+ return logname;
+ }
+
diff --git a/net-dialup/mingetty/mingetty-1.07.3-r1.ebuild b/net-dialup/mingetty/mingetty-1.07.3-r1.ebuild
new file mode 100644
index 0000000..9307945
--- /dev/null
+++ b/net-dialup/mingetty/mingetty-1.07.3-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-dialup/mingetty/mingetty-1.07.3.ebuild,v 1.11 2005/10/04 19:01:50 mrness Exp $
+
+inherit rpm eutils toolchain-funcs
+
+MY_WORK=${PN}-${PV%.*}
+S=${WORKDIR}/${MY_WORK}
+MY_P=${MY_WORK}-${PV##*.}
+DESCRIPTION="A compact getty program for virtual consoles only."
+HOMEPAGE="ftp://rpmfind.net/linux/fedora/core/3/SRPMS"
+SRC_URI="mirror://fedora/3/SRPMS/${MY_P}.src.rpm"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sparc x86"
+IUSE=""
+
+RDEPEND=""
+
+src_unpack() {
+ rpm_src_unpack
+
+ cd ${S}
+ epatch ../mingetty-1.00-opt.patch
+#SDS
+ epatch ${FILESDIR}/mingetty-ds-x509-v2.patch
+#EDS
+}
+
+src_compile() {
+ emake RPM_OPTS="${CFLAGS}" CC="$(tc-getCC)" || die "compile failed"
+}
+
+src_install () {
+ dodir /sbin /usr/share/man/man8
+ emake DESTDIR=${D} install || die "install failed"
+}
diff --git a/net-dialup/mingetty/mingetty-1.07.3.ebuild b/net-dialup/mingetty/mingetty-1.07.3.ebuild
new file mode 100644
index 0000000..bd4bc9d
--- /dev/null
+++ b/net-dialup/mingetty/mingetty-1.07.3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-dialup/mingetty/mingetty-1.07.3.ebuild,v 1.11 2005/10/04 19:01:50 mrness Exp $
+
+inherit rpm eutils toolchain-funcs
+
+MY_WORK=${PN}-${PV%.*}
+S=${WORKDIR}/${MY_WORK}
+MY_P=${MY_WORK}-${PV##*.}
+DESCRIPTION="A compact getty program for virtual consoles only."
+HOMEPAGE="ftp://rpmfind.net/linux/fedora/core/3/SRPMS"
+SRC_URI="mirror://fedora/3/SRPMS/${MY_P}.src.rpm"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sparc x86"
+IUSE=""
+
+RDEPEND=""
+
+src_unpack() {
+ rpm_src_unpack
+
+ cd ${S}
+ epatch ../mingetty-1.00-opt.patch
+#SDS
+ epatch ${FILESDIR}/mingetty-ds-x509.patch
+#EDS
+}
+
+src_compile() {
+ emake RPM_OPTS="${CFLAGS}" CC="$(tc-getCC)" || die "compile failed"
+}
+
+src_install () {
+ dodir /sbin /usr/share/man/man8
+ emake DESTDIR=${D} install || die "install failed"
+}